Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037460
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Retail Modules] Web POSmajoralways2017-12-12 12:392018-07-09 17:21
ReporterasiermartirenaView Statuspublic 
Assigned Toasiermartirena 
PrioritynormalResolutionfixedFixed in Version
StatusresolvedFix in branchFixed in SCM revision5dc356116798
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037460: The order selector shouldn't be able to open canceled ticket without shipments

DescriptionIt shouldn't be possible to open a canceled order that doesn't have any shipment in Web POS.
Also, when opening a canceled ticket, for each line must appear the real delivered quantity (after doing a C&R and CL the lines are fully delivered, even if there isn't any associated shipment).

The ticket must also be shown with a 'Canceled' flag.
Steps To ReproduceCreate a layaway (don't pay).

Do a cancel layaway of the layaway.

Load the canceled layaway. It is possible, and it shouldn't.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0105608)
hgbot (developer)
2018-07-05 08:57

Repository: erp/devel/pi
Changeset: 8bf896a2266490cca632a54c727bb2a157d17edf
Author: Asier Martirena <asier.martirena <at> openbravo.com>
Date: Tue Dec 12 18:23:16 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/8bf896a2266490cca632a54c727bb2a157d17edf [^]

Related to issue 37460: Check delivered status in C&R.

The delivered status must be different for an order after the cancel and replace process depending in the associated shipments

---
M src/org/openbravo/erpCommon/businessUtility/CancelAndReplaceUtils.java
---
(0105611)
hgbot (developer)
2018-07-05 09:07

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 5dc356116798fb1fdfe0f7cca00aae7d4a76b483
Author: Asier Martirena <asier.martirena <at> openbravo.com>
Date: Thu Jul 05 09:05:34 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5dc356116798fb1fdfe0f7cca00aae7d4a76b483 [^]

Fixed issue 37460: Check the delivered status to open receipts.

When searching for an order, now it delivered status is checked in order to be able to load the ticket. If the (paid) order is not delivered it won't be able to be loaded. This affects to the canceled orders. A new index is added in the delivered column to have faster queries.

Also, the loaded canceled tickets has the order status flag set to 'Canceled', and there's also a new label for the lines which are not totally delivered to be shown as canceled.

Finally, the delivered status is checked for tickets created during a C&R process.

---
M src-db/database/model/modifiedTables/C_ORDER.xml
M src/org/openbravo/retail/posterminal/CustomerLoader.java
M src/org/openbravo/retail/posterminal/OrderLoader.java
M src/org/openbravo/retail/posterminal/PaidReceiptLinesProperties.java
M src/org/openbravo/retail/posterminal/PaidReceiptsFilter.java
M web/org.openbravo.retail.posterminal/js/components/order.js
M web/org.openbravo.retail.posterminal/js/components/renderorderline.js
---
(0105635)
hgbot (developer)
2018-07-05 12:44

Repository: erp/devel/pi
Changeset: fdc9ea8679842ec7b5b50e6b3cf07282cbbc4f0f
Author: Asier Martirena <asier.martirena <at> openbravo.com>
Date: Thu Jul 05 12:44:28 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/fdc9ea8679842ec7b5b50e6b3cf07282cbbc4f0f [^]

Related to issue 37460: Removed wrongly closed parenthesis

---
M src/org/openbravo/erpCommon/businessUtility/CancelAndReplaceUtils.java
---
(0105687)
hgbot (developer)
2018-07-09 17:21

Repository: tools/automation/pi-mobile
Changeset: ccce7de5fb9020ca9899a990790ea94e9203f398
Author: Asier Martirena <asier.martirena <at> openbravo.com>
Date: Mon Jul 09 13:42:48 2018 +0200
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/ccce7de5fb9020ca9899a990790ea94e9203f398 [^]

Related to issue 37460: Changes in automated tests

---
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/reversepayments/ReversePaymentOnCancelAndRpl.java
---

- Issue History
Date Modified Username Field Change
2017-12-12 12:39 asiermartirena New Issue
2017-12-12 12:39 asiermartirena Assigned To => asiermartirena
2017-12-12 12:39 asiermartirena Triggers an Emergency Pack => No
2018-06-26 12:50 Practics Issue Monitored: Practics
2018-07-05 08:57 hgbot Checkin
2018-07-05 08:57 hgbot Note Added: 0105608
2018-07-05 09:07 hgbot Checkin
2018-07-05 09:07 hgbot Note Added: 0105611
2018-07-05 09:07 hgbot Status new => resolved
2018-07-05 09:07 hgbot Resolution open => fixed
2018-07-05 09:07 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5dc356116798fb1fdfe0f7cca00aae7d4a76b483 [^]
2018-07-05 12:44 hgbot Checkin
2018-07-05 12:44 hgbot Note Added: 0105635
2018-07-09 17:21 hgbot Checkin
2018-07-09 17:21 hgbot Note Added: 0105687


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker